### Class

# EvinceDocument FormFieldText

since: 3.0

#### Description

    class EvinceDocument.FormFieldText : EvinceDocument.FormField
    {
      type: EvFormFieldTextType,
      do_spell_check: gboolean,
      do_scroll: gboolean,
      comb: gboolean,
      is_rich_text: gboolean,
      is_password: gboolean,
      max_len: gint,
      text: gchar*
    }

No description available.

Available since: 3.0

#### Ancestors

- EvFormField
- GObject

#### Constructors

###### ev_form_field_text_new

No description available.

since: 3.0

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

since: 2.0

#### Class structure

    struct EvinceDocumentFormFieldTextClass {
      EvFormFieldClass parent_class;

    }

No description available.

###### Class members

`parent_class: EvFormFieldClass`
  No description available.